/*****************************************************************************
 * deinterlace.h: Deinterlace functions and definitions
 *****************************************************************************
 * $Id: deinterlace.h,v 1.2 2003/01/14 08:00:33 keuleu Exp $
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************
 *
 * Original code:
 *
 * Copyright (C) 2001 the xine project
 *
 * Deinterlace routines by Miguel Freitas
 * based of DScaler project sources (deinterlace.sourceforge.net)
 *
 * Currently only available for Xv driver and MMX extensions
 *
 *****************************************************************************/
#ifndef _DEINTERLACE_H_
#define _DEINTERLACE_H_

//#include "video_out.h"
#include <stdint.h>

void deinterlace_yuv( uint8_t *pdst, uint8_t *psrc[],
    int width, int height, int method );

#define DEINTERLACE_NONE        0
#define DEINTERLACE_BOB         1
#define DEINTERLACE_WEAVE       2
#define DEINTERLACE_GREEDY      3
#define DEINTERLACE_ONEFIELD    4
//#define DEINTERLACE_ONEFIELDXV  5
#define DEINTERLACE_LINEARBLEND 5
#define NB_DEINTERLACE          6

#endif // _DEINTERLACE_H_
